<template>
  <div class="grey_bg">
    <div class="container">
      <div class="banner_404">

        <div class="row" style="width: 100%; align-items: center;">
          <div class="col-12 col-sm-4 text-center">
            <img src="/front-end/images/404_banner_img.jpg">
          </div>
          <div class="col-12 col-sm-8">
            <div class="page_not_found_cont">
              <h2>404 Page not found!</h2>
              <p>The page you were viewing is not available.</p>
              <p><a href="/"><span class="material-icons-outlined" style="vertical-align: text-bottom;">arrow_back</span>
                  Back</a></p>
            </div>
          </div>
        </div>



      </div>

    </div>
  </div>
</template>

<script>
export default {
  name: 'EmptyLayout',
  layout: 'empty',
  props: {
    error: {
      type: Object,
      default: null
    }
  },
  data() {
    return {
      pageNotFound: '404 Not Found',
      otherError: 'An error occurred'
    }
  },
  mounted() {
  },
  head() {
    const title =
      this.error.statusCode === 404 ? this.pageNotFound : this.otherError
    return {
      title
    }
  }
}
</script>

<style scoped>
h1 {
  font-size: 20px;
}
</style>
